<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SigGen: siggen::File Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SigGen
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classsiggen_1_1_file.html','');});
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classsiggen_1_1_file-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">siggen::File Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>basic C file operations encapsulated in class  
 <a href="classsiggen_1_1_file.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_file_8h_source.html">File.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7f0e1503ea9ce5058744e7c2d8f1713f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_file.html#a7f0e1503ea9ce5058744e7c2d8f1713f">File</a> (std::FILE *file)</td></tr>
<tr class="memdesc:a7f0e1503ea9ce5058744e7c2d8f1713f"><td class="mdescLeft">&#160;</td><td class="mdescRight">takes ownership of the opened file descriptor  <a href="classsiggen_1_1_file.html#a7f0e1503ea9ce5058744e7c2d8f1713f">More...</a><br /></td></tr>
<tr class="separator:a7f0e1503ea9ce5058744e7c2d8f1713f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b8c2a7789ecc8fd48f9d226390fe77d"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_file.html#a0b8c2a7789ecc8fd48f9d226390fe77d">TryRead</a> (char *buffer, size_t size)</td></tr>
<tr class="memdesc:a0b8c2a7789ecc8fd48f9d226390fe77d"><td class="mdescLeft">&#160;</td><td class="mdescRight">attempts to read block from file  <a href="classsiggen_1_1_file.html#a0b8c2a7789ecc8fd48f9d226390fe77d">More...</a><br /></td></tr>
<tr class="separator:a0b8c2a7789ecc8fd48f9d226390fe77d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ea3dc0b20f69e00366a6d8dd91d5328"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_file.html#a6ea3dc0b20f69e00366a6d8dd91d5328">TryWrite</a> (char const *buffer, size_t size)</td></tr>
<tr class="memdesc:a6ea3dc0b20f69e00366a6d8dd91d5328"><td class="mdescLeft">&#160;</td><td class="mdescRight">attempts to write block of data to file  <a href="classsiggen_1_1_file.html#a6ea3dc0b20f69e00366a6d8dd91d5328">More...</a><br /></td></tr>
<tr class="separator:a6ea3dc0b20f69e00366a6d8dd91d5328"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>basic C file operations encapsulated in class </p>

<p class="definition">Definition at line <a class="el" href="_file_8h_source.html#l00009">9</a> of file <a class="el" href="_file_8h_source.html">File.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a7f0e1503ea9ce5058744e7c2d8f1713f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f0e1503ea9ce5058744e7c2d8f1713f">&#9670;&nbsp;</a></span>File()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">siggen::File::File </td>
          <td>(</td>
          <td class="paramtype">std::FILE *&#160;</td>
          <td class="paramname"><em>file</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>takes ownership of the opened file descriptor </p>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname">std::runtime_error</td><td></td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="_file_8cpp_source.html#l00008">8</a> of file <a class="el" href="_file_8cpp_source.html">File.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0b8c2a7789ecc8fd48f9d226390fe77d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b8c2a7789ecc8fd48f9d226390fe77d">&#9670;&nbsp;</a></span>TryRead()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t siggen::File::TryRead </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>buffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>attempts to read block from file </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">buffer</td><td>buffer for data </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">size</td><td>size of the buffer</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>bytes read </dd></dl>

<p class="definition">Definition at line <a class="el" href="_file_8cpp_source.html#l00026">26</a> of file <a class="el" href="_file_8cpp_source.html">File.cpp</a>.</p>

</div>
</div>
<a id="a6ea3dc0b20f69e00366a6d8dd91d5328"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ea3dc0b20f69e00366a6d8dd91d5328">&#9670;&nbsp;</a></span>TryWrite()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t siggen::File::TryWrite </td>
          <td>(</td>
          <td class="paramtype">char const *&#160;</td>
          <td class="paramname"><em>buffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>attempts to write block of data to file </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">buffer</td><td>buffer with data </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">size</td><td>size of the buffer</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>bytes written </dd></dl>

<p class="definition">Definition at line <a class="el" href="_file_8cpp_source.html#l00033">33</a> of file <a class="el" href="_file_8cpp_source.html">File.cpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/x/siggen/lib/include/<a class="el" href="_file_8h_source.html">File.h</a></li>
<li>/home/x/siggen/lib/src/<a class="el" href="_file_8cpp_source.html">File.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>siggen</b></li><li class="navelem"><a class="el" href="classsiggen_1_1_file.html">File</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.16 </li>
  </ul>
</div>
</body>
</html>
